#ifndef _SourceAliasEdit_h__
#define _SourceAliasEdit_h__

#include <QLineEdit>

class SourceAliasEdit : public QLineEdit {
    Q_OBJECT

  public:
    SourceAliasEdit(const QString &channelID);

  signals:
    void sourceAliasChanged(const QString channelID, const QString alias);

  private slots:
    void onEdit();
    void onAliasUpdate(const QString id, const QString alias);

  private:
    const QString ID;
};

#endif // _SourceAliasEdit_h__
